package com.brilliance.isc.swift.objmtconvert.model.mt9xx.tag.tag940;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt9xx.MT940Creator;

public class Tag20Creator extends AbsTagCreate {

     private MT940Creator mt940Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt940Creator= (MT940Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt940Creator.getTransactionReferenceNumber();
        mt940Creator.set("20", tag20Value);
    }
}
